{-# LANGUAGE OverloadedStrings #-}

-- |
-- Module      :  ACME.Acme.HeroClub.Members
-- Copyright   :  I am D. 2015-2016
-- License     :  BSD3
--
-- Maintainer  :  d.kupanhy@gmail.com
-- Stability   :  stable
--
-- This package gives you Hero Club Five Tenets, Yuki Yuna is a Hero.
--
module Acme.HeroClub.Members
    ( say
    , Member (..)
    ) where

import Acme.HeroClub.Type
import Acme.HeroClub.FiveTenets

import qualified Data.Text as T
import qualified Data.Text.IO as T

herwords :: Member -> T.Text -> T.Text
herwords m f = T.pack ( show m ) `T.append` " : " `T.append` f

-- | To cause said to be FiveTenets to the Members of HeroClub.
say :: Member -> T.Text -> IO ()
say YunaYuki f = T.putStrLn $ herwords YunaYuki f `T.append` "\nFor everybody's sake, I will be......a Hero!!"
say m f = T.putStrLn $ herwords m f

